| API Documentation |  |

- MAIN PAGE
- NAMESPACES
- CLASSES

Static Public Member Functions | List of all members
nkAstraeus::nkGraphicsWrap::VertexCompositionWrapper Class Referencefinal

Wraps a nkGraphics::VertexComposition and offers functions for use in scripting. More...

## Static Public Member Functions
static void | updateEnvironment (nkScripts::Environment *env)
static void * | constructor (const nkScripts::DataStack &stack)
static void | destructor (void *toDestroy)
static nkScripts::OutputValue | getPosition (void *data)
static void | setPosition (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | getNormal (void *data)
static void | setNormal (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | getColor (void *data)
static void | setColor (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | getUv (void *data)
static void | setUv (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | getTopology (void *data)
static void | setTopology (const nkScripts::DataStack &stack)

## Detailed Description

Wraps a nkGraphics::VertexComposition and offers functions for use in scripting.

## Member Function Documentation

## ◆ updateEnvironment()

static void nkAstraeus::nkGraphicsWrap::VertexCompositionWrapper::updateEnvironment | ( | nkScripts::Environment * | env | ) |
| static

Updates a given environment and set it up to use all functions wrapped by this wrapper.

Parameters

  env | The environment to set up.

## ◆ constructor()

static void* nkAstraeus::nkGraphicsWrap::VertexCompositionWrapper::constructor | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for the constructor of the user type.

local t = nkGraphics.VertexComposition.new() ;

Parameters

  stack | The parameter stack.

Returns
  An output value with the user type and data allocated.

## ◆ destructor()

static void nkAstraeus::nkGraphicsWrap::VertexCompositionWrapper::destructor | ( | void * | toDestroy | ) |
| static

Wrapper function for the destructor of the user type.

Parameters

  toDestroy | The data that has to be freed.

## ◆ getPosition()

static nkScripts::OutputValue nkAstraeus::nkGraphicsWrap::VertexCompositionWrapper::getPosition | ( | void * | data | ) |
| static

Wrapper function for nkGraphics::VertexComposition::_position, exposed as an attribute getter.

local p = m.position ;

Parameters

  data | The data from which the attribute will be retrieved.

Returns
  The attribute value, as a bool.

## ◆ setPosition()

static void nkAstraeus::nkGraphicsWrap::VertexCompositionWrapper::setPosition | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkGraphics::VertexComposition::_position, exposed as an attribute setter.

m.position = p ;

Parameters

  stack | The parameter stack.

Returns
  The attribute value, empty.

## ◆ getNormal()

static nkScripts::OutputValue nkAstraeus::nkGraphicsWrap::VertexCompositionWrapper::getNormal | ( | void * | data | ) |
| static

Wrapper function for nkGraphics::VertexComposition::_normal, exposed as an attribute getter.

local n = m.normal ;

Parameters

  data | The data from which the attribute will be retrieved.

Returns
  The attribute value, as a bool.

## ◆ setNormal()

static void nkAstraeus::nkGraphicsWrap::VertexCompositionWrapper::setNormal | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkGraphics::VertexComposition::_normal, exposed as an attribute setter.

m.normal = n ;

Parameters

  stack | The parameter stack.

Returns
  The attribute value, empty.

## ◆ getColor()

static nkScripts::OutputValue nkAstraeus::nkGraphicsWrap::VertexCompositionWrapper::getColor | ( | void * | data | ) |
| static

Wrapper function for nkGraphics::VertexComposition::_color, exposed as an attribute getter.

local c = m.color ;

Parameters

  data | The data from which the attribute will be retrieved.

Returns
  The attribute value, as a bool.

## ◆ setColor()

static void nkAstraeus::nkGraphicsWrap::VertexCompositionWrapper::setColor | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkGraphics::VertexComposition::_color, exposed as an attribute setter.

m.color = c ;

Parameters

  stack | The parameter stack.

Returns
  The attribute value, empty.

## ◆ getUv()

static nkScripts::OutputValue nkAstraeus::nkGraphicsWrap::VertexCompositionWrapper::getUv | ( | void * | data | ) |
| static

Wrapper function for nkGraphics::VertexComposition::_uv, exposed as an attribute getter.

local u = m.uv ;

Parameters

  data | The data from which the attribute will be retrieved.

Returns
  The attribute value, as a bool.

## ◆ setUv()

static void nkAstraeus::nkGraphicsWrap::VertexCompositionWrapper::setUv | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkGraphics::VertexComposition::_uv, exposed as an attribute setter.

m.uv = u ;

Parameters

  stack | The parameter stack.

Returns
  The attribute value, empty.

## ◆ getTopology()

static nkScripts::OutputValue nkAstraeus::nkGraphicsWrap::VertexCompositionWrapper::getTopology | ( | void * | data | ) |
| static

Wrapper function for nkGraphics::VertexComposition::_topology, exposed as an attribute getter.

local t = m.topology ;

Parameters

  data | The data from which the attribute will be retrieved.

Returns
  The attribute value, as a nkGraphics::PRIMITIVE_TOPOLOGY.

## ◆ setTopology()

static void nkAstraeus::nkGraphicsWrap::VertexCompositionWrapper::setTopology | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkGraphics::VertexComposition::_topology, exposed as an attribute setter.

m.topology = t ;

Parameters

  stack | The parameter stack.

Returns
  The attribute value, empty.

The documentation for this class was generated from the following file:

- Documentation/Headers/NilkinsAstraeus/Scripts/nkGraphicsWrap/Meshes/VertexCompositionWrapper.h